Change account plan
curl --request PUT \
--url https://api.sakari.io/v1/accounts/{accountId}/plan \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"commitment": 123,
"frequency": "<string>"
}
'import requests
url = "https://api.sakari.io/v1/accounts/{accountId}/plan"
payload = {
"name": "<string>",
"commitment": 123,
"frequency": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', commitment: 123, frequency: '<string>'})
};
fetch('https://api.sakari.io/v1/accounts/{accountId}/plan', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"id": "<string>",
"name": "<string>",
"price": 123,
"credit": 123,
"pricing": {},
"commitment": 123,
"maxCommitment": 123,
"minCommitment": 123,
"passThroughPlanEligible": true,
"includedPhoneNumberCountries": [
"<string>"
]
}
}{
"success": true,
"error": {
"code": "CONT-010",
"description": "Contact has requested no further communication"
}
}{
"success": true,
"error": {
"code": "CONT-010",
"description": "Contact has requested no further communication"
}
}accounts
Change account plan
PUT
/
v1
/
accounts
/
{accountId}
/
plan
Change account plan
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Account to apply operations to
⌘I